# Simple support for organizing bzr branches as complex project
#
# Copyright (C) 2008, 2009 Alexander Belchenko <bialix AT ukr net>
# License: GNU GPL v.2

from bzrlib.tests import TestCase

from bzrlib.plugins.scmproj.action import ActionList


class TestActionList(TestCase):

    def runTest(self):
        alist = ActionList()
        self.assertEqual([], alist)
        self.assertEqual([], alist.prolog)
        self.assertEqual([], alist.epilog)
        #
        alist = ActionList([1,2,3])
        self.assertEqual([1,2,3], alist)
        self.assertEqual([], alist.prolog)
        self.assertEqual([], alist.epilog)
        #
        alist = ActionList(prolog=[1,2],epilog=[5,6])
        self.assertEqual([], alist)
        self.assertEqual([1,2], alist.prolog)
        self.assertEqual([5,6], alist.epilog)
        #
        alist = ActionList([3,4], [1,2], [5,6])
        self.assertEqual([3,4], alist)
        self.assertEqual([1,2], alist.prolog)
        self.assertEqual([5,6], alist.epilog)
