# Simple support for organizing bzr branches as complex project
#
# Copyright (C) 2008, 2009 Alexander Belchenko <bialix AT ukr net>
# License: GNU GPL v.2

from bzrlib.tests import TestCase

from bzrlib.plugins.scmproj.config import (
    TemplateEngine,
    )
from bzrlib.plugins.scmproj.tests.whiteutils import reindentBlock


class TestTemplateEngine(TestCase):

    def test_empty(self):
        t = TemplateEngine()
        self.assertEqual('FOO', t.substitute('FOO'))

    def test_init(self):
        t = TemplateEngine({'FOO': 'bar'})
        self.assertEqual('bar', t.substitute('{FOO}'))
        t = TemplateEngine(FOO='bar')
        self.assertEqual('bar', t.substitute('{FOO}'))

    def test_substitute(self):
        t = TemplateEngine({'FOO': 'bar', 'MOO': 'boo'})
        self.assertEqual('bar spam boo', t.substitute('{FOO} spam {MOO}'))

    def test_add_from_dict(self):
        t = TemplateEngine()
        dikt = {'FOO': 'bar'}
        t.add_from_dict(dikt)
        dikt['FOO'] = 'foo'
        self.assertEqual('bar', t.substitute('{FOO}'))
